<?php

require_once 'libs/jsonDB.php';

class baseModel
{
    function __construct()
    {
        $this->db = new JSONDB('database_yhgy8rgvjruf89g4vjcufhg3');
        $this->dbName = 'video.json';
    }

    public static function getInstance()
    {
        return new self();
    }
    
    public function add($url,$duration)
    {
        $this->db->insert($this->dbName, [
            'id' => md5($url . $duration . rand(0,10000)),
            'url' => $url,
            'duration' => $duration
        ]);
    }

    public function delete($id)
    {
        $this->db->delete()
	            ->from($this->dbName)
	            ->where( [ 'id' => $id ] )
	            ->trigger();
    }

    public function get()
    {
        return json_decode(json_encode($this->db->select('*')
                        ->from($this->dbName)
                        ->get()), true);
    }
}